ErrorsViewStackTracePrinter (Grails 6.0.0)

Package: org.grails.web.errors

## [Groovy] Class ErrorsViewStackTracePrinter

- org.grails.web.errors.ErrorsViewStackTracePrinter

-     class ErrorsViewStackTracePrinter
      extends DefaultErrorsPrinter

  Customized Stack trace output for the errors view.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultErrorsPrinter` | `resourceLocator`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ErrorsViewStackTracePrinter (ResourceLocator resourceLocator)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `formatCodeSnippetEnd(org.springframework.core.io.Resource resource, int lineNumber)`
    `` | `protected java.lang.String` | `formatCodeSnippetErrorLine(int currentLineNumber, java.lang.Object currentLine)`
    `` | `protected java.lang.String` | `formatCodeSnippetLine(int currentLineNumber, java.lang.Object currentLine)`
    `` | `java.lang.String` | `formatCodeSnippetStart(org.springframework.core.io.Resource resource, int lineNumber)`
    `` | `protected int` | `getLineNumberInfo(java.lang.Throwable cause, int defaultInfo)`
    `` | `java.lang.String` | `prettyPrint(java.lang.Throwable t)`
    `` | `java.lang.String` | `prettyPrintCodeSnippet(java.lang.Throwable t)`
    `` | `protected boolean` | `shouldSkipNextCause(java.lang.Throwable e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultErrorsPrinter` | `formatCodeSnippetEnd, formatCodeSnippetErrorLine, formatCodeSnippetLine, formatCodeSnippetStart, getFileName, getFileNameInfo, getLineNumberInfo, getRootCause, prettyPrintCodeSnippet`
    `class DefaultStackTracePrinter` | `getFileName, makeRelativeIfPossible, prettyPrint, printCausedByMessage, printFailureLocation, printHeader, printLastEntry, printStackLine, shouldSkipNextCause`

- - ### Constructor Detail

    - #### ErrorsViewStackTracePrinter(ResourceLocator resourceLocator)

  - ### Method Detail

    - #### @java.lang.Override java.lang.String formatCodeSnippetEnd(org.springframework.core.io.Resource resource, int lineNumber)

    - #### @java.lang.Override protected java.lang.String formatCodeSnippetErrorLine(int currentLineNumber, java.lang.Object currentLine)

    - #### @java.lang.Override protected java.lang.String formatCodeSnippetLine(int currentLineNumber, java.lang.Object currentLine)

    - #### @java.lang.Override java.lang.String formatCodeSnippetStart(org.springframework.core.io.Resource resource, int lineNumber)

    - #### @java.lang.Override protected int getLineNumberInfo(java.lang.Throwable cause, int defaultInfo)

    - #### @java.lang.Override java.lang.String prettyPrint(java.lang.Throwable t)

    - #### @java.lang.Override java.lang.String prettyPrintCodeSnippet(java.lang.Throwable t)

    - #### @java.lang.Override protected boolean shouldSkipNextCause(java.lang.Throwable e)